summaryrefslogtreecommitdiffstats
path: root/tests/du/two-args.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 16:58:41 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 16:58:41 +0000
commite1908ae95dd4c9d19ee4dfabfc8bf8a7f85943fe (patch)
treef5cc731bedcac0fb7fe14d952e4581e749f8bb87 /tests/du/two-args.sh
parentInitial commit. (diff)
downloadcoreutils-e1908ae95dd4c9d19ee4dfabfc8bf8a7f85943fe.tar.xz
coreutils-e1908ae95dd4c9d19ee4dfabfc8bf8a7f85943fe.zip
Adding upstream version 9.4.upstream/9.4upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tests/du/two-args.sh')
-rwxr-xr-xtests/du/two-args.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/tests/du/two-args.sh b/tests/du/two-args.sh
new file mode 100755
index 0000000..693d53c
--- /dev/null
+++ b/tests/du/two-args.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+# Make sure 'du d/1 d/2' works.
+# That command failed with du from fileutils-4.0q.
+
+# Copyright (C) 2000-2023 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ du
+
+# Run this test from a sub-directory one level deeper than normal,
+# so that the "du .." below doesn't traverse sibling directories
+# that may be inaccessible due concurrently-running tests.
+mkdir sub || framework_failure_
+cd sub || framework_failure_
+
+t=t
+mkdir -p $t/1 $t/2 || framework_failure_
+
+test -d $t || fail=1
+du $t/1 $t/2 > /dev/null || fail=1
+
+# Make sure 'du . $t' and 'du .. $t' work.
+# These would fail prior to fileutils-4.0y.
+du . $t > /dev/null || fail=1
+du .. $t > /dev/null || fail=1
+
+Exit $fail